/*= main.c =====================================================================
 *
 * Copyright (C) 2005 Nordic Semiconductor
 *
 * This file is distributed in the hope that it will be useful, but WITHOUT
 * WARRANTY OF ANY KIND.
 *
 * Author(s): Brge Strand
 *
 * Compiler: Tested with WinAVR, avr-gcc (GCC) 3.4.3
 *
 * Revision: 1.0 
 *
 *==============================================================================
 */


#include "main.h"

int main(void) {
	mcu_init();
	#ifdef SLAVE_SPI
		mcu_spi_master_init();						// Enable SPI slave interface to Z1
	#endif
	#ifdef SLAVE_2W
		mcu_2w_master_init();						// Enable 2-wire slave interface to Z1
	#endif
	mcu_uart_init();								// Enable UART for debug

	volume = 0xFF;									// Volume is not initiated, dac_init() gives default value
	
	DB_PRINTF (PSTR ("\r\n\r\n---------RESET---------\r\n\r\n"));
	db_hex();										// Run debug interface
}
