/*= main.h =====================================================================
 *
 * Copyright (C) 2005 Nordic Semiconductor
 *
 * This file is distributed in the hope that it will be useful, but WITHOUT
 * WARRANTY OF ANY KIND.
 *
 * Author(s): Brge Strand
 *
 * Compiler: Tested with WinAVR, avr-gcc (GCC) 3.4.3
 *
 * Revision: 1.0 
 *
 *==============================================================================
 */


// Only include this file once
#ifndef MAIN_H
#define MAIN_H


// Global project defines must precede local includes!
#define SLAVEBUFSIZE	32							// Max num of bytes in one SPI/2-w transfer
#define SLAVE_SPI									// EITHER Use SPI for slave interface to z1
//#define SLAVE_2W									// OR use 2-wire for slave interface


// Local includes
#include "mcu.h"
#include "dac.h"
#include "z1slaveio.h"
#include "uartdebug.h"


char slaveoutbuf[SLAVEBUFSIZE];					// Global data buffer from MCU to Z1 slave
char slaveinbuf[SLAVEBUFSIZE];						// Global data buffer from Z1 slave to MCU
char error;											// A global error register for timeouts etc.
char volume;										// Volume is global for now, only DAC should touch it!


#endif