/*= mcu.h ======================================================================
 *
 * Copyright (C) 2005 Nordic Semiconductor
 *
 * This file is distributed in the hope that it will be useful, but WITHOUT
 * WARRANTY OF ANY KIND.
 *
 * Author(s): Brge Strand
 *
 * Compiler: Tested with WinAVR, avr-gcc (GCC) 3.4.3
 *
 * Revision: 1.0 
 *
 *==============================================================================
 */


// Only include this file once
#ifndef MCU_H
#define MCU_H


// MCU specific includes, change if porting to a different MCU or compiler
#include <stdio.h>
#include <avr/interrupt.h> 
#include <avr/signal.h>
#include <avr/sleep.h> 
#include <avr/pgmspace.h>
#include <avr/io.h>


// Local includes
#include "dac.h"
#include "z1slaveio.h"
#include "main.h"
#include "uartdebug.h"


// General MCU functions
void mcu_init(void);


// Delay functions
void mcu_wait_ms(int time);


// SPI interface
#ifdef SLAVE_SPI
void mcu_spi_master_init(void);
void mcu_spicycle(char startadr, char endadr);
#endif


// 2-wire interface
#ifdef SLAVE_2W
void mcu_2w_master_init(void);
void mcu_2wread(char startadr, char endadr);
void mcu_2wwrite(char startadr, char endadr);
#endif


// UART interface used by debug
void mcu_uart_init(void);


#endif