/*= uartdebug.h ================================================================
 *
 * Copyright (C) 2005 Nordic Semiconductor
 *
 * This file is distributed in the hope that it will be useful, but WITHOUT
 * WARRANTY OF ANY KIND.
 *
 * Author(s): Brge Strand
 *
 * Compiler: Tested with WinAVR, avr-gcc (GCC) 3.4.3
 *
 * Revision: 1.0 
 *
 *==============================================================================
 */


// Only include this file once
#ifndef UARTDEBUG_H
#define UARTDEBUG_H


// Local includes
#include "mcu.h"
#include "dac.h"
#include "z1slaveio.h"
#include "main.h"


// Good old printf() is highly compiler and mcu dependant:
// If your compiler accepts printf_P (PSTR ("text"), arguments); like AVR-gcc
#define DB_PRINTF(...) printf_P(__VA_ARGS__)
	
// If your compiler accepts printf ("text", arguments);	try this and see:
//	#define PSTR(_string) (_string)
//	#define DB_PRINTF printf


// Primitive I/O to terminal
void db_singleread(char adr);
void db_singlewrite(char adr, char data);
void db_multiread(char startadr, char endadr);
void db_multiwrite(char startadr, char endadr);


// Debug programs
void db_hex(void);


#endif